c<HTML><HEAD><TITLE> fringlib.for </TITLE></HEAD><BODY><PRE>
c*******************************************************************************
c fringlib.for -- FORTRAN wrappers for those RingLib routines that handle
c                 character strings.
c
c Mark Showalter, PDS Rings Node, January 1997
c*******************************************************************************

c*******************************************************************************
c FORTRAN string conversion routines for rlerrors.c
c*******************************************************************************

	subroutine FRL_RaiseError(error_id, message)
	character*(*)	error_id, message

	logical*1	array1(80), array2(256)

	call FORT_CSTRING(error_id, array1,  80)
	call FORT_CSTRING(message,  array2, 256)
	call GRL_RaiseError(array1, array2)

	return
	end

c***************************************

	subroutine FRL_PipeErrors(filename)
	character*(*)	filename

	logical*1	array(256)

	call FORT_CSTRING(filename, array, 256)
	call GRL_PipeErrors(array)

	return
	end

c***************************************

	logical*4 function FRL_TestError(error_id)
	character*(*)	error_id

	logical*1	array(80)
	logical*4	GRL_TestError

	FRL_TestError = GRL_TestError(array, 80)
	call FORT_FSTRING(array, error_id)

	return
	end

c***************************************

	logical*4 function FRL_ClearError(error_id)
	character*(*)	error_id

	logical*1	array(80)
	logical*4	GRL_ClearError

	FRL_ClearError = GRL_ClearError(array, 80)
	call FORT_FSTRING(array, error_id)

	return
	end

c***************************************

	logical*4 function FRL_TestError1(error_id)
	character*(*)	error_id

	logical*1	array(80)
	logical*4	GRL_TestError1

	call FORT_CSTRING(error_id, array, 80)
	FRL_TestError1 = GRL_TestError1(array)

	return
	end

c***************************************

	logical*4 function FRL_ClearError1(error_id)
	character*(*)	error_id

	logical*1	array(80)
	logical*4	GRL_ClearError1

	call FORT_CSTRING(error_id, array, 80)
	FRL_ClearError1 = GRL_ClearError1(array)

	return
	end

c***************************************

	integer*4 function FRL_SetErrorType(error_id, error_type)
	character*(*)	error_id
	integer*4	error_type

	logical*1	array(80)
	integer*4	GRL_SetErrorType

	call FORT_CSTRING(error_id, array, 80)
	FRL_SetErrorType = GRL_SetErrorType(array, error_type)

	return
	end

c***************************************

	integer*4 function FRL_GetErrorType(error_id)
	character*(*)	error_id

	logical*1	array(80)
	integer*4	GRL_GetErrorType

	call FORT_CSTRING(error_id, array, 80)
	FRL_GetErrorType = GRL_GetErrorType(array)

	return
	end

c*******************************************************************************
c</PRE></BODY></HTML>
